## ncbi-blast+ 2.7.1

=== c++/src/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /net/nasan50/vol/gpipe_dev/dicuccio/cpp-toolkit/cpp-cmake/src/Makefile.in
#

# We require at least cmake-3.0
cmake_minimum_required(VERSION 3.0)

project(CPP)

include(build-system/cmake/CMakeMacros.cmake)
include(build-system/cmake/CMakeChecks.cmake)
# Include projects from this directory

# Recurse subdirectories
add_subdirectory(corelib)
add_subdirectory(util)
add_subdirectory(connect)
add_subdirectory(cgi)
add_subdirectory(html)
add_subdirectory(build-system)
add_subdirectory(serial)
add_subdirectory(db)
add_subdirectory(dbapi)
add_subdirectory(objects)
add_subdirectory(objmgr)
add_subdirectory(objtools)
add_subdirectory(ctools)
add_subdirectory(algo)
add_subdirectory(misc)
add_subdirectory(sra)
add_subdirectory(app)

add_subdirectory_optional(gui)
add_subdirectory_optional(sample)
add_subdirectory_optional(internal)

## # Legacy targets from old build system
## add_custom_target(all_f DEPENDS all)
## add_custom_target(all_r DEPENDS all)
## add_custom_target(all_p DEPENDS all)
