=== c++/src/algo/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake/src/algo/Makefile.in
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory_optional(align)
add_subdirectory_optional(blast)
add_subdirectory_optional(cobalt)
add_subdirectory_optional(dustmask)
add_subdirectory_optional(gnomon)
add_subdirectory_optional(id_mapper)
add_subdirectory_optional(ms)
add_subdirectory_optional(phy_tree)
add_subdirectory_optional(primer)
add_subdirectory_optional(segmask)
add_subdirectory_optional(seqqa)
add_subdirectory_optional(sequence)
add_subdirectory_optional(structure)
add_subdirectory_optional(text)
add_subdirectory_optional(tree)
add_subdirectory_optional(volume_merge)
add_subdirectory_optional(winmask)
