=== c++/src/app/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake/src/app/Makefile.in
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory_optional(agp_validate)
add_subdirectory_optional(agpconvert)
add_subdirectory_optional(annotwriter)
add_subdirectory_optional(asn2asn)
add_subdirectory_optional(asn2fasta)
add_subdirectory_optional(asn2flat)
add_subdirectory_optional(asn_cache)
add_subdirectory_optional(asn_cleanup)
add_subdirectory_optional(asnval)
add_subdirectory_optional(bdb_env_keeper)
add_subdirectory_optional(biosample_chk)
add_subdirectory_optional(blast)
add_subdirectory_optional(blastdb)
add_subdirectory_optional(compart)
add_subdirectory_optional(convert_seq)
add_subdirectory_optional(discrepancy_report)
add_subdirectory_optional(dustmasker)
add_subdirectory_optional(formatguess)
add_subdirectory_optional(gap_stats)
add_subdirectory_optional(gi2taxid)
add_subdirectory_optional(grid)
add_subdirectory_optional(hfilter)
add_subdirectory_optional(id1_fetch)
add_subdirectory_optional(id2_fetch)
add_subdirectory_optional(idfetch)
add_subdirectory_optional(idmapper)
add_subdirectory_optional(igblast)
add_subdirectory_optional(lds2_indexer)
add_subdirectory_optional(multireader)
add_subdirectory_optional(ncbi_encrypt)
add_subdirectory_optional(netschedule)
add_subdirectory_optional(netstorage)
add_subdirectory_optional(nmer_repeats)
add_subdirectory_optional(nw_aligner)
add_subdirectory_optional(objextract)
add_subdirectory_optional(objmgr)
add_subdirectory_optional(read_blast_result)
add_subdirectory_optional(segmasker)
add_subdirectory_optional(speedtest)
add_subdirectory_optional(splign)
add_subdirectory_optional(srcchk)
add_subdirectory_optional(ssub_fork)
add_subdirectory_optional(streamtest)
add_subdirectory_optional(table2asn)
add_subdirectory_optional(tableval)
add_subdirectory_optional(vecscreen)
add_subdirectory_optional(winmasker)
