=== c++/src/db/CMakeLists.txt ===
##############################################################################
# 
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory(sqlite)
add_subdirectory(bdb)
