=== c++/src/dbapi/CMakeLists.txt ===
##############################################################################
# 
#
if (APPLE)
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv -undefined dynamic_lookup")
endif (APPLE)

# Include projects from this directory
include(CMakeLists.dbapi.lib.txt)

# Recurse subdirectories
add_subdirectory(driver)
add_subdirectory(simple)
add_subdirectory(cache)
add_subdirectory(lang_bind)
add_subdirectory(test)
