=== c++/src/html/CMakeLists.txt ===
##############################################################################
# 
#

# Include projects from this directory
include(CMakeLists.html.lib.txt)

# Recurse subdirectories
add_subdirectory(test )
add_subdirectory(demo )
