=== c++/src/objects/CMakeLists.txt ===
##############################################################################
# 
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory(access)
add_subdirectory(biblio)
add_subdirectory(biotree)
add_subdirectory(blast)
add_subdirectory(blastdb)
add_subdirectory(blastxml)
add_subdirectory(blastxml2)
add_subdirectory(cdd)
add_subdirectory(cn3d)
add_subdirectory(coords)
add_subdirectory(docsum)
add_subdirectory(entrez2)
add_subdirectory(entrezgene)
add_subdirectory(featdef)
add_subdirectory(gbproj)
add_subdirectory(gbseq)
add_subdirectory(general)
add_subdirectory(genesbyloc)
add_subdirectory(genomecoll)
add_subdirectory(homologene)
add_subdirectory(id1)
add_subdirectory(id2)
add_subdirectory(insdseq)
add_subdirectory(macro)
add_subdirectory(medlars)
add_subdirectory(medline)
add_subdirectory(mim)
add_subdirectory(mla)
add_subdirectory(mmdb)
add_subdirectory(ncbimime)
add_subdirectory(objprt)
add_subdirectory(omssa)
add_subdirectory(pcassay)
add_subdirectory(pcsubstance)
add_subdirectory(proj)
add_subdirectory(pub)
add_subdirectory(pubmed)
add_subdirectory(remap)
add_subdirectory(scoremat)
add_subdirectory(seq)
add_subdirectory(seqcode)
add_subdirectory(seqedit)
add_subdirectory(seqset)
add_subdirectory(seqsplit)
add_subdirectory(seqtest)
add_subdirectory(submit)
add_subdirectory(taxon1)
add_subdirectory(taxon3)
add_subdirectory(tinyseq)
add_subdirectory(trackmgr)
add_subdirectory(valerr)
add_subdirectory(valid)
add_subdirectory(variation)
add_subdirectory(varrep)

#
# ASN dependencies:
# All centralized below
#

add_dependencies(biblio general-lib)
add_dependencies(biotree seq)
add_dependencies(blastdb seq)
add_dependencies(cdd general-lib biblio pub seqset seq mmdb cn3d scoremat)
add_dependencies(entrezgene seq general-lib pub)
add_dependencies(gbseq seq)
add_dependencies(gencoll_client genome_collection)
add_dependencies(genome_collection general-lib seq)
add_dependencies(homologene general-lib seq)
add_dependencies(id1 seq seqset)
add_dependencies(id2 seqsplit seq)
add_dependencies(medlars general-lib biblio)
add_dependencies(medline general-lib biblio)
add_dependencies(mla biblio medline medlars pubmed pub)
add_dependencies(mmdb general-lib pub biblio seqset seq)
add_dependencies(ncbimime general-lib biblio pub medline seq seqset mmdb cn3d cdd)
add_dependencies(omssa seq)
add_dependencies(pcassay general-lib pub seq pcsubstance)
add_dependencies(pcsubstance general-lib pub)
add_dependencies(proj general-lib biblio pubmed seq seqset)
add_dependencies(pub general-lib biblio medline)
add_dependencies(pubmed general-lib biblio medline)
add_dependencies(remap seq)
add_dependencies(scoremat seqset general-lib)
add_dependencies(seqedit seq)
add_dependencies(seq general-lib pub biblio)
add_dependencies(seqset general-lib biblio medline seq)
add_dependencies(seqsplit seq)
add_dependencies(seqtest general-lib seq)
add_dependencies(submit general-lib biblio seq seqset)
add_dependencies(taxon1 seq)
add_dependencies(taxon3 seq)
add_dependencies(trackmgr seq)
add_dependencies(variation seq)
add_dependencies(xnetblast seqset scoremat seq)
