=== debian/changelog ===
ncbi-blast+ (2.7.1-2) unstable; urgency=medium

  [ David Miguel Susano Pinto ]
  * d/control: fix Vcs-* links to point to salsa

  [ Aaron M. Ucko ]
  * d/control: Standards-Version: 4.2.1 (already compliant).
  * d/patches/support_boost_1_67: New patch to extend Boost support
    (used for uninstalled tests) through at least version 1.67, per
    upstream (https://www.ncbi.nlm.nih.gov/viewvc/v1/trunk/c%2B%2B)
    revisions 79910, 79926, 79928, and 79929.  (Closes: #916000.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 12 Dec 2018 22:24:45 -0500

ncbi-blast+ (2.7.1-1) unstable; urgency=medium

  * New upstream release
    d/patches: update patch for new release
    d/control:
      go to standards 4.1.3
      add mbedtls dependency

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:35:31 +0000
