=== debian/control ===
Source: ncbi-blast+
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libboost-test-dev,
               libbz2-dev,
               libc-dev-bin,
               libgnutls28-dev,
               libmbedtls-dev,
               libpcre3-dev,
               time,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/

Package: ncbi-blast+
Architecture: any
Multi-Arch: foreign
Depends: ncbi-data,
         python,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Enhances: t-coffee
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that
 compare protein queries to protein databases, nucleotide queries
 to nucleotide databases, as well as versions that translate nucleotide
 queries or databases in all six frames and compare to protein databases
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Multi-Arch: foreign
Depends: ncbi-blast+,
         ${misc:Depends}
Breaks: blast2 (<< 1:2.5.0~)
Replaces: blast2 (<< 1:2.5.0~)
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.

Package: blast2
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Priority: optional
Depends: ncbi-blast+-legacy,
         ${misc:Depends}
Description: transitional dummy package to ncbi-blast+-legacy
 This is a transitional dummy package for ncbi-blast+-legacy.
 It can safely be removed.
