=== c++/src/misc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,17 @@
-##############################################################################
+#############################################################################
+# $Id: CMakeLists.txt 565539 2018-06-13 16:19:50Z gouriano $
+#############################################################################
+
+
+NCBI_add_subdirectory(
+  third_party third_party_static
+  clog grid_cgi xmlwrapp eutils_client hydra_client discrepancy
+  xmlreaders hgvs netstorage jsonwrapp biosample_util data_loaders_util
+  lapackwrapp cgi_redirect
+#  pmcidconv_client grpc_integration
+)
+
+if(OFF)
 # CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake/src/misc/Makefile.in
 #
 
@@ -23,3 +36,4 @@
 if (LAPACK_FOUND)
     add_subdirectory_optional(lapackwrapp)
 endif()
+endif()
