=== c++/src/algo/segmask/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 566834 2018-07-09 12:39:41Z gouriano $
#############################################################################

NCBI_add_library(xalgosegmask)


# Include projects from this directory
#include(CMakeLists.xalgosegmask.lib.txt)
