=== c++/src/objects/cn3d/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 564454 2018-05-29 13:35:44Z gouriano $
#############################################################################

NCBI_add_library(cn3d)

# Include projects from this directory
#include(CMakeLists.cn3d.asn.txt)
