=== c++/src/objects/docsum/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 564454 2018-05-29 13:35:44Z gouriano $
#############################################################################

NCBI_add_library(docsum)

# Include projects from this directory
#include(CMakeLists.docsum.asn.txt)
