=== c++/src/objects/entrezgene/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 564454 2018-05-29 13:35:44Z gouriano $
#############################################################################

NCBI_add_library(entrezgene)

# Include projects from this directory
#include(CMakeLists.entrezgene.asn.txt)
