=== c++/src/objects/proj/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 564454 2018-05-29 13:35:44Z gouriano $
#############################################################################

NCBI_add_library(proj)

# Include projects from this directory
#include(CMakeLists.proj.asn.txt)
