=== c++/src/objtools/blast/blastdb_format/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 566390 2018-06-28 17:11:39Z gouriano $
#############################################################################

NCBI_add_library(blastdb_format)
NCBI_add_subdirectory(unit_test)

# Include projects from this directory
#include(CMakeLists.blastdb_format.lib.txt)

# Recurse subdirectories
#add_subdirectory(unit_test )
