=== c++/src/objtools/blast/gene_info_reader/unit_test/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 566390 2018-06-28 17:11:39Z gouriano $
#############################################################################

NCBI_project_tags(test)
NCBI_requires(Boost.Test.Included)
NCBI_add_app(gene_info_unit_test)

if(OFF)
# Include projects from this directory
if (UNIX AND NOT APPLE)
include(CMakeLists.gene_info_unit_test.app.txt)
endif()
endif()
