=== debian/changelog ===
ncbi-blast+ (2.8.1-2) unstable; urgency=medium

  * Convert windowmasker_2.2.22_adapter to Python 3 via 2to3;
    update (build-)dependencies accordingly.  (Closes: #937121.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Sep 2019 20:50:43 -0400

ncbi-blast+ (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Advance to Debhelper 11.
  * debian/control:
    - Build-Depend on liblmdb-dev.
    - Split B-Ds other than Debhelper out to Build-Depends-Arch.
    - Advance Debhelper requirement to 11~.
    - Standards-Version: 4.3.0 (already compliant).
    - Rules-Requires-Root: no.
  * debian/patches: Formally update for new release.
    - Retire support_boost_1_67 (already applied upstream).
    - Update patches that apply with offsets or outright fuzz, or need
      full-fledged porting.
  * debian/patches/fix_lib_deps: Link xcleanup against $(OBJEDIT_LIBS).
  * debian/patches/system_mbedtls_only (new): Omit convenience mbed TLS
    copy, which is dead weight and yielded a Lintian error.
  * debian/rules: Also skip (dh_auto)_configure when building only
    architecture-independent binary packages.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 03 Feb 2019 22:47:45 -0500
