=== debian/control ===
--- 
+++ 
@@ -5,26 +5,29 @@
 	   Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 11~)
+Build-Depends-Arch: 2to3,
+               autotools-dev,
                libboost-test-dev,
                libbz2-dev,
                libc-dev-bin,
                libgnutls28-dev,
+	       liblmdb-dev,
                libmbedtls-dev,
                libpcre3-dev,
                time,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
+Rules-Requires-Root: no
 
 Package: ncbi-blast+
 Architecture: any
 Multi-Arch: foreign
 Depends: ncbi-data,
-         python,
+         python3,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
