=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,8 @@
 BLAST2_VERSION=1:$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 
 llp=LD_LIBRARY_PATH
-override_dh_auto_configure:
+override_dh_auto_configure-indep:;
+override_dh_auto_configure-arch:
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
 	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
 	    ||  (tail -v -n +0 config.log BUILD/status/config.log; exit 1)
@@ -80,8 +81,11 @@
 	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
 	mv $(instroot)/bin/legacy_blast.pl   $(instroot)/bin/legacy_blast
 	mv $(instroot)/bin/update_blastdb.pl $(instroot)/bin/update_blastdb
-	mv $(instroot)/bin/windowmasker_2.2.22_adapter.py \
-	   $(instroot)/bin/windowmasker_2.2.22_adapter
+	sed -e '1s/$$/3/' $(instroot)/bin/windowmasker_2.2.22_adapter.py \
+	   > $(instroot)/bin/windowmasker_2.2.22_adapter
+	2to3 -w $(instroot)/bin/windowmasker_2.2.22_adapter
+	chmod +x $(instroot)/bin/windowmasker_2.2.22_adapter
+	rm $(instroot)/bin/windowmasker_2.2.22_adapter.py
 # Clean up tests, demos, and internal build tools
 	rm -f $(instroot)/bin/*test* $(instroot)/bin/seqdb_demo \
 	    $(instroot)/bin/datatool $(instroot)/bin/run_with_lock \
